> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tckg.factagora.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a memory

> GET /v1/memories/{id}. One block as of a point in time, or which kind of nothing it is.

## Parameters

<ParamField path="id" type="string" required>
  The node id.
</ParamField>

<ParamField query="as_of" type="timestamp or date" required />

<ParamField query="valid_at" type="timestamp" />

## Response

Always `200`.

<ResponseField name="item" type="NodeRow or null" />

<ResponseField name="reason" type="string">
  Only when `item` is null. `not_yet`: known now, but not at `as_of`. `absent`: never known.
</ResponseField>

<ResponseField name="certificate" type="object" />

<CodeGroup>
  ```bash Request theme={null}
  curl -s "$TCKG/v1/memories/c1?as_of=2024-06-01"
  ```

  ```json Response (not yet known) theme={null}
  {"item": null, "reason": "not_yet",
   "certificate": {"as_of": "2024-06-01T23:59:59.999999+00:00", "tx_as_of": "...", "masked": {"node": 2, "edge": 1}}}
  ```

  ```json Response (known) theme={null}
  {"item": {"id": "c1", "kind": "claim", "tenant": "public", "space": "user:randy",
            "statement": "NVDA goes up this year", "category": null,
            "payload": {"about": {"start": "2024-01", "end": "2024-12"}},
            "asserted_at": "2024-01-15T00:00:00+00:00", "captured_at": "2026-10-03T07:12:41.183412+00:00",
            "valid": {"from": "2024-01-15T00:00:00+00:00", "to": null}},
   "certificate": {"as_of": "2026-10-03T07:12:41.183412+00:00", "tx_as_of": "..."}}
  ```
</CodeGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.